Page MenuHomePhabricator

Accessing WikiPage that cannot exist as a page: w:Help:Books/Book creator text. [Called from WikiPage::exists]
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error message
        WikiPage constructed on a Title that cannot exist as a page: w:Help:Books/Book creator text [Called from MediaWiki\Page\WikiPageFactory::newFromTitle]
	Accessing WikiPage that cannot exist as a page: w:Help:Books/Book creator text.  [Called from WikiPage::exists]

Details

Request ID
YBCMDVnZg@vaDEgs3gyNpAAAAME
Request URL
https://www.mediawiki.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Help%3AContents
Stack Trace
from /srv/mediawiki/php-1.36.0-wmf.28/includes/page/WikiPage.php(579)
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, string, array)
#1 /srv/mediawiki/php-1.36.0-wmf.28/includes/debug/MWDebug.php(376): trigger_error(string, integer)
#2 /srv/mediawiki/php-1.36.0-wmf.28/includes/debug/MWDebug.php(352): MWDebug::sendRawDeprecated(string, boolean, string)
#3 /srv/mediawiki/php-1.36.0-wmf.28/includes/GlobalFunctions.php(1067): MWDebug::deprecatedMsg(string, string, string, integer)
#4 /srv/mediawiki/php-1.36.0-wmf.28/includes/page/WikiPage.php(451): wfDeprecatedMsg(string, string)
#5 /srv/mediawiki/php-1.36.0-wmf.28/includes/page/WikiPage.php(579): WikiPage->loadPageData()
#6 /srv/mediawiki/php-1.36.0-wmf.28/extensions/Collection/includes/Specials/SpecialCollection.php(443): WikiPage->exists()
#7 /srv/mediawiki/php-1.36.0-wmf.28/extensions/Collection/includes/Specials/SpecialCollection.php(82): SpecialCollection->renderBookCreatorPage(string, NULL)
#8 /srv/mediawiki/php-1.36.0-wmf.28/includes/specialpage/SpecialPage.php(645): SpecialCollection->execute(NULL)
#9 /srv/mediawiki/php-1.36.0-wmf.28/includes/specialpage/SpecialPageFactory.php(1405): SpecialPage->run(NULL)
#10 /srv/mediawiki/php-1.36.0-wmf.28/includes/MediaWiki.php(310): MediaWiki\SpecialPage\SpecialPageFactory->executePath(Title, RequestContext)
#11 /srv/mediawiki/php-1.36.0-wmf.28/includes/MediaWiki.php(944): MediaWiki->performRequest()
#12 /srv/mediawiki/php-1.36.0-wmf.28/includes/MediaWiki.php(548): MediaWiki->main()
#13 /srv/mediawiki/php-1.36.0-wmf.28/index.php(53): MediaWiki->run()
#14 /srv/mediawiki/php-1.36.0-wmf.28/index.php(46): wfIndexMain()
#15 /srv/mediawiki/w/index.php(3): require(string)
#16 {main}

Earlier:
from /srv/mediawiki/php-1.36.0-wmf.28/includes/page/WikiPageFactory.php(74)
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, string, array)
#1 /srv/mediawiki/php-1.36.0-wmf.28/includes/debug/MWDebug.php(376): trigger_error(string, integer)
#2 /srv/mediawiki/php-1.36.0-wmf.28/includes/debug/MWDebug.php(352): MWDebug::sendRawDeprecated(string, boolean, string)
#3 /srv/mediawiki/php-1.36.0-wmf.28/includes/GlobalFunctions.php(1067): MWDebug::deprecatedMsg(string, string, string, integer)
#4 /srv/mediawiki/php-1.36.0-wmf.28/includes/page/WikiPage.php(146): wfDeprecatedMsg(string, string)
#5 /srv/mediawiki/php-1.36.0-wmf.28/includes/page/WikiPageFactory.php(74): WikiPage->__construct(Title)
#6 /srv/mediawiki/php-1.36.0-wmf.28/includes/page/WikiPage.php(171): MediaWiki\Page\WikiPageFactory->newFromTitle(Title)
#7 /srv/mediawiki/php-1.36.0-wmf.28/extensions/Collection/includes/Specials/SpecialCollection.php(442): WikiPage::factory(Title)
#8 /srv/mediawiki/php-1.36.0-wmf.28/extensions/Collection/includes/Specials/SpecialCollection.php(82): SpecialCollection->renderBookCreatorPage(string, NULL)
#9 /srv/mediawiki/php-1.36.0-wmf.28/includes/specialpage/SpecialPage.php(645): SpecialCollection->execute(NULL)
#10 /srv/mediawiki/php-1.36.0-wmf.28/includes/specialpage/SpecialPageFactory.php(1405): SpecialPage->run(NULL)
#11 /srv/mediawiki/php-1.36.0-wmf.28/includes/MediaWiki.php(310): MediaWiki\SpecialPage\SpecialPageFactory->executePath(Title, RequestContext)
#12 /srv/mediawiki/php-1.36.0-wmf.28/includes/MediaWiki.php(944): MediaWiki->performRequest()
#13 /srv/mediawiki/php-1.36.0-wmf.28/includes/MediaWiki.php(548): MediaWiki->main()
#14 /srv/mediawiki/php-1.36.0-wmf.28/index.php(53): MediaWiki->run()
#15 /srv/mediawiki/php-1.36.0-wmf.28/index.php(46): wfIndexMain()
#16 /srv/mediawiki/w/index.php(3): require(string)
#17 {main}

Event Timeline

holger.knust created this task.

w:Help:Books/Book creator text is a valid wikitext link in the the testwiki/etc. context, isn't it? Linking through to https://en.wikipedia.org/wiki/Help:Books/Book_creator_text

CC @daniel whose refactor code this error is from.

daniel raised the priority of this task from Medium to High.Jan 27 2021, 7:41 PM
daniel updated the task description. (Show Details)
daniel edited Stack Trace. (Show Details)

Change 659074 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/extensions/Collection@master] Remove unnecessary calls to WikiPage

https://gerrit.wikimedia.org/r/659074

dancy renamed this task from [{reqId}] {exception_url} ErrorException: Accessing WikiPage that cannot exist as a page: w:Help:Books/Book creator text. [Called from WikiPage::exists] to Accessing WikiPage that cannot exist as a page: w:Help:Books/Book creator text. [Called from WikiPage::exists].Jan 28 2021, 4:36 PM
dancy set Request URL to /w/index.php?title=Special:Book&bookcmd=book_creator&referer=Help%3AContents.
dancy set Request ID to YBCMDVnZg@vaDEgs3gyNpAAAAME.
dancy updated the task description. (Show Details)
dancy edited Stack Trace. (Show Details)
dancy changed Request URL from /w/index.php?title=Special:Book&bookcmd=book_creator&referer=Help%3AContents to https://www.mediawiki.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Help%3AContents.Jan 28 2021, 4:39 PM

(Please add code project tags (such as Collection) so tasks could be found and/or people could get notified - thanks a lot!)

dancy raised the priority of this task from High to Unbreak Now!.Feb 1 2021, 4:45 PM
dancy added a subscriber: dancy.

This particular error is generating an unacceptable level of noise in the logs we (release engineering) use to monitor the status of deployments.

Change 660934 had a related patch set uploaded (by Urbanecm; owner: Daniel Kinzler):
[mediawiki/extensions/Collection@wmf/1.36.0-wmf.28] Remove unnecessary calls to WikiPage

https://gerrit.wikimedia.org/r/660934

Change 660934 merged by jenkins-bot:
[mediawiki/extensions/Collection@wmf/1.36.0-wmf.28] Remove unnecessary calls to WikiPage

https://gerrit.wikimedia.org/r/660934

Mentioned in SAL (#wikimedia-operations) [2021-02-01T23:05:15Z] <urbanecm@deploy1001> Synchronized php-1.36.0-wmf.28/extensions/Collection/includes/Specials/SpecialCollection.php: 3c7864ca1d5aadc9cd251939c0e23f661faef5e9: Remove unnecessary calls to WikiPage (T273101) (duration: 00m 58s)

Change 659074 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Remove unnecessary calls to WikiPage

https://gerrit.wikimedia.org/r/659074

Urbanecm assigned this task to daniel.
Urbanecm added a subscriber: Urbanecm.

Patch tested at mwdebug, worked fine, and master patch +2'ed.